Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.65.98.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
255.65.98.0
Broadcast address
255.65.99.255
First usable
255.65.98.1
Last usable
255.65.99.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF416200 · Integer 4282475008 to 4282475519
Reverse DNS zones
98.65.255.in-addr.arpa
99.65.255.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.01000001.01100010.00000000255.65.98.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network11111111.01000001.01100010.00000000255.65.98.0
Broadcast11111111.01000001.01100011.11111111255.65.99.255
Split into smaller subnets/30

255.65.98.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.65.98.0/30255.65.98.1 to 255.65.98.2255.65.98.32
2255.65.98.4/30255.65.98.5 to 255.65.98.6255.65.98.72
3255.65.98.8/30255.65.98.9 to 255.65.98.10255.65.98.112
4255.65.98.12/30255.65.98.13 to 255.65.98.14255.65.98.152
5255.65.98.16/30255.65.98.17 to 255.65.98.18255.65.98.192
6255.65.98.20/30255.65.98.21 to 255.65.98.22255.65.98.232
7255.65.98.24/30255.65.98.25 to 255.65.98.26255.65.98.272
8255.65.98.28/30255.65.98.29 to 255.65.98.30255.65.98.312
9255.65.98.32/30255.65.98.33 to 255.65.98.34255.65.98.352
10255.65.98.36/30255.65.98.37 to 255.65.98.38255.65.98.392
11255.65.98.40/30255.65.98.41 to 255.65.98.42255.65.98.432
12255.65.98.44/30255.65.98.45 to 255.65.98.46255.65.98.472
13255.65.98.48/30255.65.98.49 to 255.65.98.50255.65.98.512
14255.65.98.52/30255.65.98.53 to 255.65.98.54255.65.98.552
15255.65.98.56/30255.65.98.57 to 255.65.98.58255.65.98.592
16255.65.98.60/30255.65.98.61 to 255.65.98.62255.65.98.632
17255.65.98.64/30255.65.98.65 to 255.65.98.66255.65.98.672
18255.65.98.68/30255.65.98.69 to 255.65.98.70255.65.98.712
19255.65.98.72/30255.65.98.73 to 255.65.98.74255.65.98.752
20255.65.98.76/30255.65.98.77 to 255.65.98.78255.65.98.792
21255.65.98.80/30255.65.98.81 to 255.65.98.82255.65.98.832
22255.65.98.84/30255.65.98.85 to 255.65.98.86255.65.98.872
23255.65.98.88/30255.65.98.89 to 255.65.98.90255.65.98.912
24255.65.98.92/30255.65.98.93 to 255.65.98.94255.65.98.952
25255.65.98.96/30255.65.98.97 to 255.65.98.98255.65.98.992
26255.65.98.100/30255.65.98.101 to 255.65.98.102255.65.98.1032
27255.65.98.104/30255.65.98.105 to 255.65.98.106255.65.98.1072
28255.65.98.108/30255.65.98.109 to 255.65.98.110255.65.98.1112
29255.65.98.112/30255.65.98.113 to 255.65.98.114255.65.98.1152
30255.65.98.116/30255.65.98.117 to 255.65.98.118255.65.98.1192
31255.65.98.120/30255.65.98.121 to 255.65.98.122255.65.98.1232
32255.65.98.124/30255.65.98.125 to 255.65.98.126255.65.98.1272
33255.65.98.128/30255.65.98.129 to 255.65.98.130255.65.98.1312
34255.65.98.132/30255.65.98.133 to 255.65.98.134255.65.98.1352
35255.65.98.136/30255.65.98.137 to 255.65.98.138255.65.98.1392
36255.65.98.140/30255.65.98.141 to 255.65.98.142255.65.98.1432
37255.65.98.144/30255.65.98.145 to 255.65.98.146255.65.98.1472
38255.65.98.148/30255.65.98.149 to 255.65.98.150255.65.98.1512
39255.65.98.152/30255.65.98.153 to 255.65.98.154255.65.98.1552
40255.65.98.156/30255.65.98.157 to 255.65.98.158255.65.98.1592
41255.65.98.160/30255.65.98.161 to 255.65.98.162255.65.98.1632
42255.65.98.164/30255.65.98.165 to 255.65.98.166255.65.98.1672
43255.65.98.168/30255.65.98.169 to 255.65.98.170255.65.98.1712
44255.65.98.172/30255.65.98.173 to 255.65.98.174255.65.98.1752
45255.65.98.176/30255.65.98.177 to 255.65.98.178255.65.98.1792
46255.65.98.180/30255.65.98.181 to 255.65.98.182255.65.98.1832
47255.65.98.184/30255.65.98.185 to 255.65.98.186255.65.98.1872
48255.65.98.188/30255.65.98.189 to 255.65.98.190255.65.98.1912
49255.65.98.192/30255.65.98.193 to 255.65.98.194255.65.98.1952
50255.65.98.196/30255.65.98.197 to 255.65.98.198255.65.98.1992
51255.65.98.200/30255.65.98.201 to 255.65.98.202255.65.98.2032
52255.65.98.204/30255.65.98.205 to 255.65.98.206255.65.98.2072
53255.65.98.208/30255.65.98.209 to 255.65.98.210255.65.98.2112
54255.65.98.212/30255.65.98.213 to 255.65.98.214255.65.98.2152
55255.65.98.216/30255.65.98.217 to 255.65.98.218255.65.98.2192
56255.65.98.220/30255.65.98.221 to 255.65.98.222255.65.98.2232
57255.65.98.224/30255.65.98.225 to 255.65.98.226255.65.98.2272
58255.65.98.228/30255.65.98.229 to 255.65.98.230255.65.98.2312
59255.65.98.232/30255.65.98.233 to 255.65.98.234255.65.98.2352
60255.65.98.236/30255.65.98.237 to 255.65.98.238255.65.98.2392
61255.65.98.240/30255.65.98.241 to 255.65.98.242255.65.98.2432
62255.65.98.244/30255.65.98.245 to 255.65.98.246255.65.98.2472
63255.65.98.248/30255.65.98.249 to 255.65.98.250255.65.98.2512
64255.65.98.252/30255.65.98.253 to 255.65.98.254255.65.98.2552
65255.65.99.0/30255.65.99.1 to 255.65.99.2255.65.99.32
66255.65.99.4/30255.65.99.5 to 255.65.99.6255.65.99.72
67255.65.99.8/30255.65.99.9 to 255.65.99.10255.65.99.112
68255.65.99.12/30255.65.99.13 to 255.65.99.14255.65.99.152
69255.65.99.16/30255.65.99.17 to 255.65.99.18255.65.99.192
70255.65.99.20/30255.65.99.21 to 255.65.99.22255.65.99.232
71255.65.99.24/30255.65.99.25 to 255.65.99.26255.65.99.272
72255.65.99.28/30255.65.99.29 to 255.65.99.30255.65.99.312
73255.65.99.32/30255.65.99.33 to 255.65.99.34255.65.99.352
74255.65.99.36/30255.65.99.37 to 255.65.99.38255.65.99.392
75255.65.99.40/30255.65.99.41 to 255.65.99.42255.65.99.432
76255.65.99.44/30255.65.99.45 to 255.65.99.46255.65.99.472
77255.65.99.48/30255.65.99.49 to 255.65.99.50255.65.99.512
78255.65.99.52/30255.65.99.53 to 255.65.99.54255.65.99.552
79255.65.99.56/30255.65.99.57 to 255.65.99.58255.65.99.592
80255.65.99.60/30255.65.99.61 to 255.65.99.62255.65.99.632
81255.65.99.64/30255.65.99.65 to 255.65.99.66255.65.99.672
82255.65.99.68/30255.65.99.69 to 255.65.99.70255.65.99.712
83255.65.99.72/30255.65.99.73 to 255.65.99.74255.65.99.752
84255.65.99.76/30255.65.99.77 to 255.65.99.78255.65.99.792
85255.65.99.80/30255.65.99.81 to 255.65.99.82255.65.99.832
86255.65.99.84/30255.65.99.85 to 255.65.99.86255.65.99.872
87255.65.99.88/30255.65.99.89 to 255.65.99.90255.65.99.912
88255.65.99.92/30255.65.99.93 to 255.65.99.94255.65.99.952
89255.65.99.96/30255.65.99.97 to 255.65.99.98255.65.99.992
90255.65.99.100/30255.65.99.101 to 255.65.99.102255.65.99.1032
91255.65.99.104/30255.65.99.105 to 255.65.99.106255.65.99.1072
92255.65.99.108/30255.65.99.109 to 255.65.99.110255.65.99.1112
93255.65.99.112/30255.65.99.113 to 255.65.99.114255.65.99.1152
94255.65.99.116/30255.65.99.117 to 255.65.99.118255.65.99.1192
95255.65.99.120/30255.65.99.121 to 255.65.99.122255.65.99.1232
96255.65.99.124/30255.65.99.125 to 255.65.99.126255.65.99.1272
97255.65.99.128/30255.65.99.129 to 255.65.99.130255.65.99.1312
98255.65.99.132/30255.65.99.133 to 255.65.99.134255.65.99.1352
99255.65.99.136/30255.65.99.137 to 255.65.99.138255.65.99.1392
100255.65.99.140/30255.65.99.141 to 255.65.99.142255.65.99.1432
101255.65.99.144/30255.65.99.145 to 255.65.99.146255.65.99.1472
102255.65.99.148/30255.65.99.149 to 255.65.99.150255.65.99.1512
103255.65.99.152/30255.65.99.153 to 255.65.99.154255.65.99.1552
104255.65.99.156/30255.65.99.157 to 255.65.99.158255.65.99.1592
105255.65.99.160/30255.65.99.161 to 255.65.99.162255.65.99.1632
106255.65.99.164/30255.65.99.165 to 255.65.99.166255.65.99.1672
107255.65.99.168/30255.65.99.169 to 255.65.99.170255.65.99.1712
108255.65.99.172/30255.65.99.173 to 255.65.99.174255.65.99.1752
109255.65.99.176/30255.65.99.177 to 255.65.99.178255.65.99.1792
110255.65.99.180/30255.65.99.181 to 255.65.99.182255.65.99.1832
111255.65.99.184/30255.65.99.185 to 255.65.99.186255.65.99.1872
112255.65.99.188/30255.65.99.189 to 255.65.99.190255.65.99.1912
113255.65.99.192/30255.65.99.193 to 255.65.99.194255.65.99.1952
114255.65.99.196/30255.65.99.197 to 255.65.99.198255.65.99.1992
115255.65.99.200/30255.65.99.201 to 255.65.99.202255.65.99.2032
116255.65.99.204/30255.65.99.205 to 255.65.99.206255.65.99.2072
117255.65.99.208/30255.65.99.209 to 255.65.99.210255.65.99.2112
118255.65.99.212/30255.65.99.213 to 255.65.99.214255.65.99.2152
119255.65.99.216/30255.65.99.217 to 255.65.99.218255.65.99.2192
120255.65.99.220/30255.65.99.221 to 255.65.99.222255.65.99.2232
121255.65.99.224/30255.65.99.225 to 255.65.99.226255.65.99.2272
122255.65.99.228/30255.65.99.229 to 255.65.99.230255.65.99.2312
123255.65.99.232/30255.65.99.233 to 255.65.99.234255.65.99.2352
124255.65.99.236/30255.65.99.237 to 255.65.99.238255.65.99.2392
125255.65.99.240/30255.65.99.241 to 255.65.99.242255.65.99.2432
126255.65.99.244/30255.65.99.245 to 255.65.99.246255.65.99.2472
127255.65.99.248/30255.65.99.249 to 255.65.99.250255.65.99.2512
128255.65.99.252/30255.65.99.253 to 255.65.99.254255.65.99.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses